Bug 596046

Summary: Qdisk: quorum is recalculated after node abruptly leaves cluster
Product: Red Hat Enterprise Linux 6 Reporter: Christine Caulfield <ccaulfie>
Component: clusterAssignee: Christine Caulfield <ccaulfie>
Status: CLOSED CURRENTRELEASE QA Contact: Cluster QE <mspqa-list>
Severity: medium Docs Contact:
Priority: low    
Version: 6.0CC: ccaulfie, cluster-maint, djansa, edamato, fdinitto, lhh, pep, rpeterso, sbradley, tao, teigland
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: cluster-3.0.12-4.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 595394 Environment:
Last Closed: 2010-11-10 19:59:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 595394    
Bug Blocks:    
Attachments:
Description Flags
Patch for stable3 none

Comment 1 Christine Caulfield 2010-05-26 08:34:02 UTC
Created attachment 416713 [details]
Patch for stable3

This is the patch for STABLE3. I'll commit it if it passes a little more testing.

Comment 3 Christine Caulfield 2010-05-26 14:36:05 UTC
commit f288015025489cb35230c61f82d02c3d70e4a40e
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Wed May 26 09:51:34 2010 +0100

    cman: fix quorum recalculation when a node is externally killed

Comment 5 Dean Jansa 2010-08-24 20:21:06 UTC
[root@marathon-01 ~]# cman_tool status
Version: 6.2.0
Config Version: 4
Cluster Name: marathon
Cluster Id: 20778
Cluster Member: Yes
Cluster Generation: 2756
Membership state: Cluster-Member
Nodes: 5
Expected votes: 5
Quorum device votes: 4
Total votes: 8
Node votes: 1
Quorum: 5  
Active subsystems: 9
Flags: 
Ports Bound: 0  
Node name: marathon-01
Node ID: 1
Multicast addresses: 239.192.81.123 
Node addresses: 10.15.89.71 


==== Crash marathon-05 ====


[root@marathon-01 ~]# cman_tool status
Version: 6.2.0
Config Version: 4
Cluster Name: marathon
Cluster Id: 20778
Cluster Member: Yes
Cluster Generation: 2760
Membership state: Cluster-Member
Nodes: 4
Expected votes: 5
Quorum device votes: 4
Total votes: 8
Node votes: 1
Quorum: 5  
Active subsystems: 9
Flags: 
Ports Bound: 0  
Node name: marathon-01
Node ID: 1
Multicast addresses: 239.192.81.123 
Node addresses: 10.15.89.71

Comment 6 releng-rhel@redhat.com 2010-11-10 19:59:20 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.